post
https://example.com/v1/pay/payout/initialize
Initialize a new payout to a beneficiary. The payout request requires the x-starks-signature header. The value of this header is a HMAC SHA512 signature of the request body signed using your secret key. Verifying the header signature is done before processing your request.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
import axios from "axios";
import crypto from "crypto";
const STARKS_SECRET_KEY = "your-starks-secret-key";
const payload = {
amount: 80.0,
currency: "NGN",
beneficiaryId: "9647f876-c25e-4f6b-a4c5-050211169046",
narration: "Payment for invoice 101",
};
// Compute HMAC SHA-512 signature
const signature = crypto
.createHmac("sha512", STARKS_SECRET_KEY)
.update(JSON.stringify(payload))
.digest("hex");
// Set headers
const headers = {
"Content-Type": "application/json",
"x_starks_signature": signature,
// Include other required headers
};